[gimp] build: fix the Windows CI.
- From: Jehan <jehanp src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gimp] build: fix the Windows CI.
- Date: Wed, 15 Apr 2020 14:28:29 +0000 (UTC)
commit b948ff932ddac102a83b4e38039f84650da0e3d0
Author: Jehan <jehan girinstud io>
Date: Wed Apr 15 16:27:16 2020 +0200
build: fix the Windows CI.
Recently added warnings on json-c dependency breaks with Mingw-w64.
Removes warning promotion to errors when compiling json-c.
build/windows/crossbuild-gitlab-ci/build-deps.sh | 8 +++++++-
1 file changed, 7 insertions(+), 1 deletion(-)
---
diff --git a/build/windows/crossbuild-gitlab-ci/build-deps.sh
b/build/windows/crossbuild-gitlab-ci/build-deps.sh
index eb733769f2..058a595b71 100644
--- a/build/windows/crossbuild-gitlab-ci/build-deps.sh
+++ b/build/windows/crossbuild-gitlab-ci/build-deps.sh
@@ -35,9 +35,15 @@ cd ..
# json-c
+# XXX: warnings promotion to errors disabled because of some
+# -Wstrict-prototypes warnings happening on Mingw-w64.
+# The DISABLE_WERROR option can be removed once json-c removes this
+# warning for Windows: https://github.com/json-c/json-c/pull/581
+# Or when patches are published for all Mingw-w64 headers. See ML patch
+# and followup emails: https://sourceforge.net/p/mingw-w64/mailman/message/36981783/
git clone --depth 1 https://github.com/json-c/json-c.git && \
mkdir json-c/_build && cd json-c/_build && \
-CFLAGS="-Wno-expansion-to-defined" crossroad cmake .. && make install || exit 1
+CFLAGS="-Wno-expansion-to-defined" crossroad cmake -DDISABLE_WERROR=ON .. && make install || exit 1
cd ../..
# libmypaint
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]